net.corda.core.serialization

## Class Ed25519PublicKeySerializer

- net.corda.core.serialization.Ed25519PublicKeySerializer

-     public class Ed25519PublicKeySerializer

  For serialising an ed25519 public key

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Ed25519PublicKeySerializer` | `INSTANCE` For serialising an ed25519 public key

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.i2p.crypto.eddsa.EdDSAPublicKey` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.i2p.crypto.eddsa.EdDSAPublicKey> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, net.i2p.crypto.eddsa.EdDSAPublicKey obj)`

- - ### Field Detail

    - #### INSTANCE

          public static Ed25519PublicKeySerializer INSTANCE

      For serialising an ed25519 public key

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            net.i2p.crypto.eddsa.EdDSAPublicKey obj)

    - #### read

          public net.i2p.crypto.eddsa.EdDSAPublicKey read(com.esotericsoftware.kryo.Kryo kryo,
                                                          com.esotericsoftware.kryo.io.Input input,
                                                          java.lang.Class<net.i2p.crypto.eddsa.EdDSAPublicKey> type)